Subject: Re: bug#18438: 24.4.50; assertion failed in bidi.c

From: [email-masked]
Date: Mon, 20 Oct 2014 09:20:52 +1300

On Sun, 19 Oct 2014 17:39:51 +0300, Eli Zaretskii wrote:
> The rest of what the comments in w32_wnd_proc say is correct, but
> again unrelated, for the same reasons.  In fact, I cannot explain to
> myself at all how _any_ code that is not thread-safe could cause such
> a phenomenon.  I can think of no other explanations for what we see
> except some code that somehow modifies the CPU flags between the
> compare instruction and the following jump instruction.  Otherwise,
> how can it be that the value is valid, but Emacs still aborts?  Any
> other ideas?

Not sure whether this is relevant, but I have been getting a recurring 
seg. fault in w32xfns.c, but in a different function, and in lisp.h.  
(Why is there code complex enough in a header file to warrant asserts 
there?)  I'll post the backtraces in case they're of some help.  (I only 
got backtraces for the main thread.)  The only patch applied was the one 
from message #103 
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18438#103>.